Bug 203254 - Suspension lasts 1 sec before computer comes out of it
Suspension lasts 1 sec before computer comes out of it
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-19 16:52 EDT by Oded Rimon
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-05 20:42:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oded Rimon 2006-08-19 16:52:24 EDT
Description of problem:
I use FC5. Even though I use a desktop computer connected to AC all the time, I
used gnome-power-preferences to set the suspension on (after 1 hour of no use).
I want to do this in order to lengthen the life of the computer's "internals"
(hard-disk, screen, etc.).
Problem is, the second the computer halts and comes into stand-by, it
immediately comes out of it (and back into the screen-saver, meaning it's not a
matter of mouse moving from some reason etc.).

Version-Release number of selected component (if applicable):
I have a Pentium 4, kernel 2.6.17-1.2139_FC5, gnome 2.14.2, gnome-power-manager
2.14.3-1 and hal 0.5.7.1-2.fc5. Never had problems shutting it down or
logging-out or anything, only to suspend it.

How reproducible:
Always.

Steps to Reproduce:
EITHER
System->Suspend or System->Shut Down...->Suspend
OR
Wait an hour, until computer automatically suspends itself (thanks to
gnome-power-preferences).
OR
Execute "dbus-send --system --print-reply --dest=org.freedesktop.Hal
/org/freedesktop/Hal/devices/computer
org.freedesktop.Hal.Device.SystemPowerManagement.Suspend int32:0".
  
Actual results:
The computer halts for just a second (you hear the HD's fan stopping, the USB
mouse's light is turned-off, etc.) then everything starts working again.

Expected results:
Stand-by - suspension - computer to stay in suspension until I move the mouse
or press some key on the keyboard...

Additional info:
I reported this bug in bugzilla.gnome.org under gnome-power-manager, and was
told this is HAL's fault or maybe the kernel's fault, so here I am in
bugzilla.redhat.com... =)
Comment 1 Oded Rimon 2006-08-24 12:42:42 EDT
FROM ONE OF MY LOGWATCH REPORTS (ROOT RECEIVES BY INTERNAL EMAIL)

 --------------------- Kernel Begin ------------------------ 

 
 WARNING:  Kernel Errors Present
    Could not power down device <NULL>: error -22 ...:  3 Time(s)
    NTFS-fs error (device hda1): l ...:  2 Time(s)
 
 ---------------------- Kernel End ------------------------- 

I don't think the NTFS-fs error has anything to do with the problem, but I'm
possitively sure that the first error is deeply related to it.

Thank you for your help,
O.R.
Comment 2 David Zeuthen 2006-12-04 11:08:17 EST
Reassigning to kernel.
Comment 3 Nigel Cunningham 2006-12-04 18:00:12 EST
Could you please attach your dmesg? It looks like a device is failing to 
suspend, and the dmesg should help us identify which one.
Comment 4 Oded Rimon 2006-12-05 14:19:34 EST
Lots of thanks,
But I now have Fedora Core 6, with kernel 2.6.18(-1.2849), hal 0.5.8.1(-5),
gnome 2.16, gnome-power-manager 2.16.0(-4), and I use compiz
[0.0.13-0.32.20060817git]. And as far as I can see, this problem vanished at
some point - I don't know which of the above programs was responsible for it,
but I can't really know now.

If anyone else is experiencing this problem, please post info about it, and/or
upgrade to FC6.

Sorry and thank you!
Oded R.
Comment 5 Nigel Cunningham 2006-12-05 20:42:51 EST
Closing as per last comment with 'insufficient data' because we don't really 
know anything about the cause or what solved it.

Note You need to log in before you can comment on or make changes to this bug.